Package org.eclipse.microprofile.config.tck

# Class CDIPropertyExpressionsTest.PropertyExpressionConfigSource

java.lang.Object
org.eclipse.microprofile.config.tck.CDIPropertyExpressionsTest.PropertyExpressionConfigSource

All Implemented Interfaces:
  `ConfigSource`

Enclosing class:
  CDIPropertyExpressionsTest

public static class CDIPropertyExpressionsTest.PropertyExpressionConfigSource extends Object implements ConfigSource

## Field Summary

### Fields inherited from interface org.eclipse.microprofile.config.spi.ConfigSource

`CONFIG_ORDINAL, DEFAULT_ORDINAL`

## Constructor Summary

Constructors
Constructor
Description
`PropertyExpressionConfigSource()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`Set<String>`
`getPropertyNames()`
`String`
`getValue(String propertyName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.config.spi.ConfigSource

`getOrdinal, getProperties`

## Constructor Details

### PropertyExpressionConfigSource

public PropertyExpressionConfigSource()

## Method Details

### getPropertyNames

public Set<String> getPropertyNames()

Specified by:
  `getPropertyNames` in interface `ConfigSource`

### getValue

public String getValue(String propertyName)

Specified by:
  `getValue` in interface `ConfigSource`

### getName

public String getName()

Specified by:
  `getName` in interface `ConfigSource`